Bug 1480961 - (golang-github-howeyc-fsnotify) Review Request: golang-github-howeyc-fsnotify - File change notification Go language Binding
Review Request: golang-github-howeyc-fsnotify - File change notification Go l...
Status: POST
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zbigniew Jędrzejewski-Szmek
Fedora Extras Quality Assurance
:
Depends On:
Blocks: DeepinDEPackageReview
  Show dependency treegraph
 
Reported: 2017-08-13 04:25 EDT by sensor.wen
Modified: 2017-12-31 20:45 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
zbyszek: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Comment 1 Zbigniew Jędrzejewski-Szmek 2017-08-13 16:54:52 EDT
rpmlint:
> golang-github-howeyc-fsnotify.src: W: summary-ended-with-dot C File change notification Go language Binding.
> golang-github-howeyc-fsnotify.src: W: invalid-license fsnotify Authors
It actually is "BSD 3-clause": License: BSD.

I'm very green with go packaging, but afaict the guidelines in https://fedoraproject.org/wiki/PackagingDrafts/Go are all followed.

+ latest version
+ package name is OK
+ license is acceptable
- license is specified incorrectly, please fix when importing
+ builds and installs OK
+ Go guideline draft is followed
+ %check does not pass but is commented out
+ BR/R/P look OK

Wouldn't it be better to change the %gotest line to something like:
{ %gotest %{import_path} } || :
so that the failures show up in the logs and it's known what needs fixing?

Package is APPROVED. Please fix license tag when uploading.
Comment 2 Gwyn Ciesla 2017-08-14 15:50:02 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-howeyc-fsnotify
Comment 3 Gwyn Ciesla 2017-08-14 15:50:12 EDT
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/golang-github-howeyc-fsnotify

Note You need to log in before you can comment on or make changes to this bug.